<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query. 
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */

get_header(); ?>

		<div id="container">
			<div id="content" role="main">

			<?php
			$cats = get_categories('parent=0&hide_empty=0');
			foreach ($cats as $cat) :
				$desc_cats = get_categories('child_of=' . $cat->term_id);
				$desc_cat_ids = array($cat->term_id);
				foreach ($desc_cats as $desc_cat) {
					array_push($desc_cat_ids, $desc_cat->term_id);
				}
				$desc_cat_ids_str = implode(',', $desc_cat_ids);
				$cat_posts = get_posts('category=' . $desc_cat_ids_str . '&numberposts=5&orderby=date&order=DESC');
				if ($cat_posts) : ?>
				<h2><a href="<?php echo get_category_link($cat->term_id) ?>"><?php echo $cat->name; ?></a></h2>
					<ul>
					<?php foreach ($cat_posts as $post) : setup_postdata($post); ?>
						<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>(<?php the_time('Y年m月d日'); ?>)<br />
						カテゴリー：<?php the_category(', '); ?></li>
					<?php endforeach; ?>
					</ul>
				<?php endif; ?>
			<?php endforeach; ?>

			</div><!-- #content -->
		</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
