function initializeGoogleMaps(params) {
    var latlng = new google.maps.LatLng(params.lat, params.lng);
    var myOptions = {
        zoom: params.zoom,
        center: latlng,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    var map = new google.maps.Map(document.getElementById(params.id), myOptions);

    var marker = new google.maps.Marker({
        position: latlng, 
        map: map, 
        title: params.location_name
    });

    var _content = params.location_name;
    if (params.location_url) {
        _content = '<div id="map_content"><a href="' + params.location_url + '">' + _content + '</a></div>';
    }
    var infowindow = new google.maps.InfoWindow({
        content: _content,
        size: new google.maps.Size(250,50)
    });
    infowindow.open(map,marker);

    google.maps.event.addListener(marker, 'click', function() {
        infowindow.open(map,marker);
    });
}

function showGoogleMaps(params) {
    if (window.addEventListener) {
        window.addEventListener('load', function() { initializeGoogleMaps(params) }, false);
    }
    else {
        window.attachEvent('onload', function() { initializeGoogleMaps(params) });
    }
}
