<?php
/*
Template Name: 一覧地図
*/
?>
<?php get_header(); ?>
<!-- 一覧地図 -->
		<div id="container">
			<div id="content" role="main">

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<div class="entry-content">
						<?php the_content(); ?>

<?php
// ページのカスタムフィールドを読み込む
$post_custom = get_post_custom($post->ID);
// latカスタムフィールドがつけられていて、
// かつページの「tag」のフィールドに指定されたタグを含む投稿を読み込む
$map_posts = get_posts(array(
	'numberposts' => -1,
	'meta_key' => 'lat',
	'tag_slug__in' => array($post_custom['tag'][0]),
));

// JavaScriptの先頭部分を生成する
$js = <<< HERE
showGoogleMaps2({
	id : 'google_maps',
	lat : {$post_custom['lat'][0]},
	lng : {$post_custom['lng'][0]},
	zoom : {$post_custom['zoom'][0]}
},
[

HERE;
// 読み込んだ投稿を順に処理する
$count = count($map_posts);
for ($i = 0; $i < $count; $i++) {
	// 個々の投稿を変数$map_postに割り当てる
	$map_post = $map_posts[$i];
	// 投稿のカスタムフィールドを読み込む
	$map_post_custom = get_post_custom($map_post->ID);
	// 投稿のアドレスを得る
	$post_url = get_permalink($map_post->ID);
	// 投稿のカスタムフィールドから、場所に関する情報を取り出して、
	// JavaScriptに渡すためのコードを生成する
	$js .= <<< HERE
	{
		lat : {$map_post_custom['lat'][0]},
		lng : {$map_post_custom['lng'][0]},
		location_name : '{$map_post_custom['location_name'][0]}',
		location_url : '{$map_post_custom['location_url'][0]}',
		post_url : '{$post_url}'
	}
HERE;
	// 繰り返しの最後でなければ、場所の情報の後に区切りの「,」を追加する
	if ($i != $count - 1) {
		$js .= ",\n";
	}
}
// JavaScriptの最後の部分を出力する
$js .= <<< HERE

]);

HERE;
?>

						<div id="google_maps" style="width : 500px; height : 500px;"></div>
						<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
						<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/googlemaps2.js"></script>
						<script type="text/javascript">
						<?php echo $js; ?>
						</script>

						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
						<?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-content -->
				</div><!-- #post-## -->

				<?php comments_template( '', true ); ?>

<?php endwhile; ?>

			</div><!-- #content -->
		</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>

