<?php
/**
 * The Sidebar containing the primary and secondary widget areas.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?>

		<div id="primary" class="widget-area" role="complementary">
			<ul class="xoxo">

<?php
if (is_single()) :
	$cur_post = $wp_query->get_queried_object();
	$post_cats = get_the_category($cur_post->ID);
	foreach ($post_cats as $post_cat) :
?>
	<li class="widget-container">
		<h3 class="widget-title">「<a href="<?php echo get_category_link($post_cat->term_id); ?>"><?php echo $post_cat->name; ?></a>」カテゴリの投稿</h3>
		<ul>
		<?php
		$cat_posts = get_posts("category=" . $post_cat->term_id . "&numberposts=-1&orderby=date&order=DESC");
		foreach ($cat_posts as $post) : setup_postdata($post);
		?>
			<li>
			<?php if ($post->ID == $cur_post->ID) : ?>
				<span class="current_post">
			<?php else : ?>
				<a href="<?php the_permalink(); ?>">
			<?php endif; ?>
				<?php the_title(); ?>
			<?php if ($post->ID == $cur_post->ID) : ?>
				</span>
			<?php else : ?>
				</a>
			<?php endif; ?>
			</li>
		<?php endforeach; ?>
		</ul>
	<?php endforeach; ?>
	</li>
<?php endif; ?>

<?php
	/* When we call the dynamic_sidebar() function, it'll spit out
	 * the widgets for that widget area. If it instead returns false,
	 * then the sidebar simply doesn't exist, so we'll hard-code in
	 * some default sidebar stuff just in case.
	 */
	if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>
	
			<li id="search" class="widget-container widget_search">
				<?php get_search_form(); ?>
			</li>

			<li id="archives" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Archives', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>
			</li>

			<li id="meta" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Meta', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</li>

		<?php endif; // end primary widget area ?>
			</ul>
		</div><!-- #primary .widget-area -->

<?php
	// A second sidebar for widgets, just because.
	if ( is_active_sidebar( 'secondary-widget-area' ) ) : ?>

		<div id="secondary" class="widget-area" role="complementary">
			<ul class="xoxo">
				<?php dynamic_sidebar( 'secondary-widget-area' ); ?>
			</ul>
		</div><!-- #secondary .widget-area -->

<?php endif; ?>
