<?php
/**
 * The Sidebar containing the primary and secondary widget areas.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?>

		<div id="primary" class="widget-area" role="complementary">
			<ul class="xoxo">

<?php
    // 集計期間を得る
    $to = time();
    $from = $to - 86400 * 90;
?>
<li class="widget-container">
<h3 class="widget-title">最近90日間でコメントが多くついた投稿ベスト10</h3>
<p>(集計期間：<?php echo date('Y/m/d H:i:s', $from) ?> - <?php echo date('Y/m/d H:i:s', $to) ?>)</p>
<?php
    // 現在から90日前の日時をSQL用に変形する
    $from_sql = date('Y-m-d H:i:s', $from);
    // SQL文を作る
    $sql = <<< HERE
SELECT p.* , c.recent_count
FROM $wpdb->posts p, (
    SELECT comment_post_ID, count(*) AS recent_count
    FROM $wpdb->comments
    WHERE comment_date >= '$from_sql'
    AND comment_approved = 1
    GROUP BY comment_post_ID
) c
WHERE p.ID = c.comment_post_ID
AND p.post_status = 'publish'
ORDER BY c.recent_count DESC
LIMIT 10
HERE;
// SQLを実行する
$posts = $wpdb->get_results($sql);
// コメントがついた投稿があるときのみ、投稿のリストを出力する
if ($posts) : ?>
    <ul>
    <?php foreach ($posts as $post) : setup_postdata($post); ?>
        <li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>(<?php echo $post->recent_count; ?>)</li>
    <?php endforeach; ?>
    </ul>
<?php else : ?>
    <p>この期間にコメントがついた投稿はありません。</p>
<?php endif; ?>
</li>

<?php
	/* When we call the dynamic_sidebar() function, it'll spit out
	 * the widgets for that widget area. If it instead returns false,
	 * then the sidebar simply doesn't exist, so we'll hard-code in
	 * some default sidebar stuff just in case.
	 */
	if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>
	
			<li id="search" class="widget-container widget_search">
				<?php get_search_form(); ?>
			</li>

			<li id="archives" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Archives', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>
			</li>

			<li id="meta" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Meta', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</li>

		<?php endif; // end primary widget area ?>
			</ul>
		</div><!-- #primary .widget-area -->

<?php
	// A second sidebar for widgets, just because.
	if ( is_active_sidebar( 'secondary-widget-area' ) ) : ?>

		<div id="secondary" class="widget-area" role="complementary">
			<ul class="xoxo">
				<?php dynamic_sidebar( 'secondary-widget-area' ); ?>
			</ul>
		</div><!-- #secondary .widget-area -->

<?php endif; ?>
