<?php
/*
Plugin Name: Hello, User
Plugin URI: http://www.h-fj.com/blog/wpplgdoc/
Description: This plugin shows logined user to sidebar
Version: 1.0
Author: Hajime Fujimoto
Author URI: http://www.h-fj.com/blog/
*/

class FJLoadTextDomain {
	var $domain = '';
	var $loaded = false;

	function FJLoadTextDomain($_domain) {
		$this->__construct($_domain);
	}

	function __construct($_domain) {
		$this->domain = $_domain;
	}

	function load() {
		if ($this->loaded) {
			return;
		}
		$locale  = get_locale();
		$mofile  = dirname(__FILE__);
		$mofile .= "/{$this->domain}-{$locale}.mo";
		load_textdomain($this->domain, $mofile);
		$this->loaded = true;
	}
}

$hello_user_td = new FJLoadTextDomain('hellouser');

function the_hello_user() {
	// ログインしているときだけ処理する
	if (is_user_logged_in()) {
		// 言語ファイルを読み込む
		global $hello_user_td;
		$hello_user_td->load();
		// ログイン中のユーザーの情報を得る
		$user = wp_get_current_user();
		// 「User currently logging in」のメッセージを翻訳して出力
		echo '<li class="widget-container"><h3 class="widget-title">' . __('User currently logging in', $hello_user_td->domain) . "</h3>\n";
		// 「Hello, ○○」のメッセージを翻訳して出力
		$str = __('Hello, %s', $hello_user_td->domain);
		echo '<p>' . sprintf($str , $user->display_name) . "</p>\n";
		echo "</li>\n";
	}
}
?>
